Description

Andraschko writes...

Solving linear Diophantine systems of equations with Normaliz. According to Prof. Kreuzer, it is possible to compute Hilbert Bases

using the Nmz-functions from CoCoA, but I didn't find anything useful yet. E.g. the function NmzHilbertBasis doesn't do anything

useful for me - I also have no idea what a "Hilbert-Gordan Basis" is (not even Google does).

Related issues:

Related to CoCoA-5 - Design #1194: Rename HilbertBasisKer into LinKerHilbertB... Rejected 25 Jun 2018

Related to CoCoA-5 - Support #225: HilbertBasis: cocoa vs normaliz Closed 10 Sep 2012

Related to CoCoA-5 - Feature #1596: Add CoCoA5 function  NmzHilbertBasisKer Resolved 14 May 2021

History

#1 - 06 Aug 2020 16:34 - John Abbott

- Related to Design #1194: Rename HilbertBasisKer into LinKerHilbertBasis? added

#2 - 06 Aug 2020 16:34 - John Abbott

- Related to Support #225: HilbertBasis: cocoa vs normaliz added

#3 - 08 May 2021 17:14 - Anna Maria Bigatti

It seems that

/**/ M:= matrix(ZZ,

        [[3, -1, 1, 0],

                 [-1, 1, 0, 1]]);

/**/ NmzHilbertBasis(M);

matrix(ZZ,

 [[-1, 1, 0, 1],

  [3, -1, 1, 0]])

gives the wrong answer (gives the 2 vectors in M).   The code in ExternalLibs-Normaliz.C seems right (line 248).

I tried to guess how to call NmzComputation, but our manual in not sufficient to understand how to do it

/**/ M:= matrix(ZZ,

        [[3, -1, 1, 0],

                 [-1, 1, 0, 1]]);

/**/ cone := record[Generators := M];

/**/ /**/ NmzComputation(cone, ["HilbertBasis"]);

--> ERROR: Some error in the normaliz input data detected: Unknown type "Generators"!

--> [CoCoALib] NmzComputation

--> /**/ NmzComputation(cone, ["HilbertBasis"]);

-->      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

investigate, and improve manual for NmzComputation.

29 Apr 2024 1/2



#4 - 14 May 2021 16:50 - Anna Maria Bigatti

- Related to Feature #1596: Add CoCoA5 function  NmzHilbertBasisKer added

#5 - 14 May 2021 17:03 - Anna Maria Bigatti

Anna Maria Bigatti wrote:

It seems that

[...]

gives the wrong answer (gives the 2 vectors in M).   The code in ExternalLibs-Normaliz.C seems right (line 248).

I tried to guess how to call NmzComputation, but our manual in not sufficient to understand how to do it

[...]

investigate, and improve manual for NmzComputation.

 

That is right.  There is now the new function NmzHilbertBasisKer #1596

#6 - 23 Feb 2022 12:28 - John Abbott

- Status changed from New to Closed

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.0

- % Done changed from 0 to 100

- Estimated time set to 0.50 h

This has been completely resolved by introducing the new function NmzHilbertBasisKer (see issue #1596).

The new fn will soon be added to doc.

Closing.

Powered by TCPDF (www.tcpdf.org)

29 Apr 2024 2/2

https://cocoa.dima.unige.it/redmine/issues/1596
https://cocoa.dima.unige.it/redmine/issues/1596
http://www.tcpdf.org

